%define name DivFix++
%define version 0.34
%define release %mkrel 2

Summary:	A program to repair broken AVI file streams 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Video
URL:		http://divfixpp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/divfixpp/%{name}_v%{version}-src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	dos2unix
BuildRequires:	pkgconfig
BuildRequires:	wxGTK2.8-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version



%description
DivFix++ is AVI Repair/Fix utility. Enables preview your avi files while downloading
from ed2k and BT networks... This program very useful when you dowloading avi files
which has no index part downloaded and/or does't exist. It can also repair some
corrupt avi files too.



%prep
%setup -q -n %{name}_v%{version}

%build

%make 

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}


# icons
mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
install -m 644 resources/%{name}.png %{buildroot}%_liconsdir/%{name}.png
install -m 644 resources/%{name}.png %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png
install -m 644 resources/%{name}.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png

mkdir -p %buildroot%_datadir/pixmaps
install -m 644 resources/%{name}.png %buildroot%_datadir/pixmaps
convert %{buildroot}/%_datadir/pixmaps/%{name}.png -resize 48x48\
                       %{buildroot}/%_datadir/pixmaps/%{name}.png

# locale
for i in cs_CZ de es fa fr he hu it ja ko tr ru tr uk; do
	install -dm 755 %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
	install -m 644 locale/$i/DivFix++.mo %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
done

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=%{name}
Comment=Repair broken AVI file streams by rebuilding index part of file
Exec=%{name}
Icon=%{name}
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video
EOF

%find_lang %{name}

%post
%update_menus


%postun
%clean_menus


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png


%changelog
* Sun Dec 13 2009 Texstar <texstar at gmail.com> 0.34-2pclos2010
- fix rpm group Video

* Fri Oct 16 2009 slick50 <lxgator@gmail.com> 0.34-1pclos2010
- 0.34

* Thu Aug 13 2009 slick50 <lxgator@gmail.com> 0.33-1pclos2009
- 0.33

* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 0.32-1pclos2009
- initial pkg
